---
title: "Get Google Images SERP Completed Tasks"
url: "https://docs.dataforseo.com/v3/serp/google/images/tasks_ready/"
date: "2026-06-06"
---

## Get Google Images SERP Completed Tasks

  
The **‘Tasks Ready’** endpoint is designed to provide you with the list of completed tasks, which haven’t been collected yet. If you use the Standard method without specifying the `postback_url`, you can receive the list of `id` for all completed tasks using this endpoint. Then, you can collect the results using the **‘Task GET’** endpoint.  
Learn more about task completion and obtaining a list of completed tasks in [this help center article.](https://dataforseo.com/help-center/completed-tasks)

**Note:** due to the peculiarities of our architecture the queue of completed tasks is updated with a small delay, which can be an issue for high-volume users.

If your system requires collecting over 1000 tasks a minute, we recommend using [pingbacks/postbacks](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) instead, and applying the Tasks Ready endpoint only to obtain the IDs of failed postback tasks.

 

 

  
 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/serp/google/images/tasks\_ready     

You can obtain a list of completed tasks for the selected search engine (replace `$se` with a search engine name).

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/serp/$se/tasks\_ready     

To obtain a list of completed SERP API tasks, use the following endpoint:

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/serp/tasks\_ready     

      

Pricing

 Your account is not charged when receiving results

 

 Each separate task will remain on the list until it is collected. You can make **up to 20 API calls per minute.** With each API call, you can get 1000 tasks completed within three previous days. The list will not contain the tasks which have already been collected and the tasks that were not collected **within three days** after completion.

Please note that if you specify the `postback_url`, the task will not be in the list of completed tasks. The task can only be found in the list if the request to your server failed, and your server returned HTTP code response less than `200` or higher than `300`.

As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the parameters passed in the request’s URL* |
| **`result`** | array | *array of results* |
| `id` | string | *task identifier of the completed task*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `se` | string | *search engine specified when setting the task* |
| `se_type` | string | *type of search engine*   example: `images` |
| `date_posted` | string | *date when the task was posted (in the UTC format)* |
| `tag` | string | *user-defined task identifier* |
| `endpoint_regular` | string | *URL for collecting the results of the SERP Regular task*   if SERP Regular is not supported in the specified endpoint, the value will be `null` |
| `endpoint_advanced` | string | *URL for collecting the results of the SERP Advanced task*   if SERP Advanced is not supported in the specified endpoint, the value will be `null` |
| `endpoint_html` | string | *URL for collecting the results of the SERP HTML task*   if SERP HTML is not supported in the specified endpoint, the value will be `null` |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/serp/google/images/tasks_ready" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	// using this method you can get a list of completed tasks
	// GET /v3/serp/google/images/tasks_ready
	// in addition to 'google' and 'images' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$result = $client->get('/v3/serp/google/images/tasks_ready');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/serp/google/images/tasks_ready',
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of completed tasks
# GET /v3/serp/google/images/tasks_ready
# in addition to 'google' and 'images' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/google/images/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_tasks_ready()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of completed tasks
            // GET /v3/serp/google/images/tasks_ready
            // in addition to 'google' and 'images' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/serp/google/images/tasks_ready");
            var result = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20200129",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.2270 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "11151406-0696-0087-0000-e781cb0144a1",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0388 sec.",
      "cost": 0,
      "result_count": 2,
      "path": [
        "v3",
        "serp",
        "google",
        "images",
        "tasks_ready"
      ],
      "data": {
        "api": "serp",
        "function": "tasks_ready",
        "se": "google",
        "se_type": "images"
      },
      "result": [
        {
          "id": "11081554-0696-0066-0000-27e68ec15871",
          "se": "google",
          "se_type": "images",
          "date_posted": "2019-11-08 13:54:43 +00:00",
          "tag": "tag1",
          "endpoint_regular": "/v3/serp/google/images/task_get/regular/11081554-0696-0066-0000-27e68ec15871",
          "endpoint_advanced": "/v3/serp/google/images/task_get/advanced/11081554-0696-0066-0000-27e68ec15871",
          "endpoint_html": "/v3/serp/google/images/task_get/html/11081554-0696-0066-0000-27e68ec15871"
        },
        {
          "id": "11151406-0696-0066-0000-c4ece317cdb2",
          "se": "google",
          "se_type": "images",
          "date_posted": "2019-11-15 12:06:09 +00:00",
          "tag": "tag2",
          "endpoint_regular": "/v3/serp/google/images/task_get/regular/11151406-0696-0066-0000-c4ece317cdb2",
          "endpoint_advanced": "/v3/serp/google/images/task_get/advanced/11081554-0696-0066-0000-27e68ec15871",
          "endpoint_html": "/v3/serp/google/images/task_get/html/11151406-0696-0066-0000-c4ece317cdb2"
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp